<?php
/*
Plugin Name: Recent Posts Widget Advanced
Version: 1.1
Description: Simple Recent Post Widget with advanced choice.
Author: KGM Servizi
Author URI: https://kgmservizi.com
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

class Widget_Recent_Posts_In_Category extends WP_Widget {
    
   /*
    * Sets up plugin with original WP Widget Recent Post class.
    */
	public function __construct() {
		$widget_ops = array(
			'classname' => 'widget_recent_entries',
			'description' => __( 'Your site most recent Posts with category choice.' ),
			'customize_selective_refresh' => true,
		);
		parent::__construct( 'widget-recent-posts-in-category', __( 'Advanced Recent Posts' ), $widget_ops );
		$this->alt_option_name = 'widget_recent_posts_in_category';
	}

	/*
	 * Outputs the content of plugin.
     */
	public function widget( $args, $instance ) {
        include( plugin_dir_path( __FILE__ ) . 'includes/query.php');
        include( plugin_dir_path( __FILE__ ) . 'includes/frontend.php');
	}

	/*
	 * Update settings.
	 */
	public function update( $new_instance, $old_instance ) {
        include( plugin_dir_path( __FILE__ ) . 'includes/update.php');
        return $instance;
	}

	/*
	 * BackEnd Widget Form.
	 */
	public function form( $instance ) {
        include( plugin_dir_path( __FILE__ ) . 'includes/form.php');
	}

}

/*
 * Register Widget.
 */

function add_widget(){
    register_widget( 'Widget_Recent_Posts_In_Category' );
}
add_action( 'widgets_init', 'add_widget');

/*
 * Includes.
 */

include( plugin_dir_path( __FILE__ ) . 'includes/list.php');
include( plugin_dir_path( __FILE__ ) . 'includes/admin-id.php');
include( plugin_dir_path( __FILE__ ) . 'includes/option-page.php');

?>